Subject: bug#21804: 25.0.50; file-notify-tests failure on Cygwin

From: Ken Brown <[email-masked]>
Date: Wed, 4 Nov 2015 22:21:35 -0500

Hi Michael,

On 11/4/2015 1:44 PM, Michael Albinus wrote:
> Ken Brown <[email-masked]> writes:
>> Running 12 tests (2015-11-04 11:51:58-0500)
>> Local library: `gfilenotify'
>>     passed   1/12  file-notify-test00-availability
>> Remote command: `gvfs-monitor-dir'
>>     passed   2/12  file-notify-test00-availability-remote
>>     passed   3/12  file-notify-test01-add-watch
>>     passed   4/12  file-notify-test01-add-watch-remote
>> file-notify--test-event-handler (6443046528 stopped "/tmp/file-notify-test552448U")
>> Test file-notify-test02-events backtrace:
>
> It is obvious, that `file-notify--test-with-events' isn't kosher. No
> event arrived inside this macro. The stopped event arrived later, in one
> of the unwindforms of the surrounding unwind-protect.
>
> Are there special problems with cygwin Emacs related to the
> `with-timeout' macro?

Not that I know of.  There are other tests that use it, and those aren't 
failing.

> Hard to debug, because we are faced with timing issues. So I would need
> to do this myself ...
>
> Well, I'll try to find a machine where I could install cygwin. Where
> could I find a very recent Emacs, including the patch of gfilenotify.c
> I've committed yesterday?

I've just built one and put it on my private Cygwin repository at

   http://sanibeltranquility.com/cygwin/index.html

There are instructions at that site.  Let me know if anything is 
unclear.  Thanks for your help with this.

Ken